package com.ruoyi.ss.suit.service.impl;

import com.ruoyi.common.core.domain.BaseValidator;
import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.ss.suit.service.SuitValidator;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.Collections;
import java.util.List;

/**
 * 2024/4/26
 *
 * @author wjh
 */
@Service
public class SuitValidatorImpl extends BaseValidator implements SuitValidator {
    @Override
    public ValidateResult preLogicDel(List<Long> suitIds) {
        if (CollectionUtils.isEmpty(suitIds)) {
            return error("数据不允许为空");
        }
        return success();
    }
}
