package com.ruoyi.ss.store.service;

import com.ruoyi.common.core.domain.ValidateResult;

import java.util.List;

/**
 * 2024/4/27
 *
 * @author wjh
 */
public interface StoreValidator {

    /**
     * 逻辑删除前校验
     * @param ids 店铺id列表
     */
    ValidateResult preLogicDel(List<Long> ids);

    /**
     * 判断店铺是否存在设备
     * @param ids 店铺id列表
     */
    boolean hasDevice(List<Long> ids);
}
